## pathos 0.3.2

=== debian/changelog ===
pathos (0.3.2-2) unstable; urgency=medium

  * Team upload.

  [ James Addison ]
  * Enable Sphinx autodoc preservation of method-argument defaults.
    This avoids build host information such as CPU core count from
    inadvertently leaking into the packaged documentation.
    Closes: #1066014

  [ Mattia Rizzolo ]
  * Mark python-pathos-doc as M-A:foreign.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 31 Jul 2024 17:29:54 +0900

pathos (0.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Bump package version requirements.
  * debian/control: Add missing Built-Using field for sphinx
    documentation.

 -- Boyuan Yang <byang@debian.org>  Wed, 31 Jan 2024 22:08:23 -0500

pathos (0.3.1-1) unstable; urgency=medium

  * Initial upload (Closes: #1042443)

 -- Julian Gilbey <jdg@debian.org>  Fri, 28 Jul 2023 18:45:10 +0100
