=== debian/control ===
Source: pathos
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-dill (>= 0.3.8),
               python3-multiprocess (>= 0.70.16),
               python3-pox (>= 0.3.4),
               python3-ppft (>= 1.7.6.8),
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-notfound-page <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>
Standards-Version: 4.7.0
Homepage: https://github.com/uqfoundation/pathos
Vcs-Git: https://salsa.debian.org/python-team/packages/pathos.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pathos
Rules-Requires-Root: no
Description: Framework for heterogeneous parallel computing
 Pathos provides a consistent high-level interface for configuring and
 launching parallel computations across heterogeneous resources.  It
 provides configurable launchers for parallel and distributed
 computing, where each launcher contains the syntactic logic to
 configure and launch jobs in an execution environment.  Examples of
 launchers include: "pyina", a queue-less MPI-based launcher;
 "pathos", an ssh-based launcher; "multiprocess", a multi-process
 launcher.
 .
 It provides a consistent interface for parallel and/or distributed
 versions of "map" and "apply" for each launcher; the guiding design
 principle is that "map" and "apply" should be drop-in replacements in
 otherwise serial code, reducing the time to conver a code to
 parallel, but also enabling a single code-base to be maintained
 instead of requiring serial, parallel and distributed versions of
 code.
 .
 The "pathos" framework consists of several interoperating packages:
  * "dill": serialize all of Python (python3-dill)
  * "pox": utilities for filesystem exploration and automated builds
    (python3-pox)
  * "klepto": persistent caching to memory, disk, or database
    (python3-klepto)
  * "multiprocess": better multiprocessing and multithreading in Python
    (python3-multiprocess)
  * "ppft": distributed and parallel Python (python3-ppft)
  * "pyina": MPI parallel "map" and cluster scheduling (python3-pyina)
  * "pathos": graph management and execution in heterogeneous computing
    (python3-pathos)

Package: python3-pathos
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: python-pathos-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Recommends: python3-pathos
Built-Using: ${sphinxdoc:Built-Using}
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package contains the pathos documentation in HTML format.
Build-Profiles: <!nodoc>
