## pathos 0.3.3

=== debian/changelog ===
pathos (0.3.3-2) unstable; urgency=medium

  * Team upload.
  * Port to Sphinx 8.0 (closes: #1090113).

 -- Colin Watson <cjwatson@debian.org>  Tue, 24 Dec 2024 12:10:40 +0000

pathos (0.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Bump build-dep version requirements.

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Nov 2024 07:25:25 -0500
