=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
                dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-dill (>= 0.3.8),
+               python3-dill (>= 0.3.9),
                python3-multiprocess (>= 0.70.16),
-               python3-pox (>= 0.3.4),
-               python3-ppft (>= 1.7.6.8),
+               python3-pox (>= 0.3.5),
+               python3-ppft (>= 1.7.6.9),
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-notfound-page <!nodoc>,
