=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pathos

export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARGS={interpreter} -m pathos.tests

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_installdocs:
	perl -i -pe 's%/usr/bin/env python%/usr/bin/python3%' debian/python3-pathos/usr/share/doc/python3-pathos/examples*/*.py

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build:
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs SPHINXBUILD=sphinx-build html

execute_after_dh_auto_clean:
	$(MAKE) -C docs SPHINXBUILD=sphinx-build clean

override_dh_installdocs:
	dh_installdocs -ppython-pathos-doc --doc-main-package=python3-pathos
	dh_installdocs --remaining-packages
	mv debian/python-pathos-doc/usr/share/doc/python3-pathos/build debian/python-pathos-doc/usr/share/doc/python3-pathos/html
endif
