## pathos 0.3.4

=== debian/changelog ===
pathos (0.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 31 Aug 2025 16:00:05 +0100
